# 88. Mutation: Eksportér ZonesMap som zip-comprimeret shapefil

Generer et zip-arkiv med det valgte "ZonesMap" som shapefil.

{% hint style="info" %}
Arket består af \*.shp, \*.shx, \*.prj, \*.dbf-filer i EPSG:4326.
{% endhint %}

### 1. Forberedelse

* Attributten `vectorAnalysisMaps` indeholder et array af ZonesMaps (VectorAnalysisMaps)-objekter, der skal eksporteres. Hvert sådant objekt inkluderer et par `fieldUuid` (kobling til det valgte mark) og `uuid` (kobling til det valgte ZonesMap).
* Den booleske attribut `asMultiGeometry` bestemmer, om zoner eksporteres som `Polygons` eller `MultiPolygons` (når sat til `true` ).
* Den booleske attribut `onlyProductColumns` angiver, om kun kolonner med produkter (RX) skal medtages i shapefilen (når `true`). Ellers vil alle statistiske attributter og zone-ID'er blive inkluderet som kolonner.
* Attributten `archiveName` indeholder navnet på det genererede zip-arkiv.
* Attributten `filePostfix` giver mulighed for at tilføje brugerdefinerede postfixer til de eksporterede filer og arkivet.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Download det genererede arkiv

Efter udførelse af GraphQL-forespørgslen er det muligt at downloade det ved hjælp af `curl` eller en lignende fremgangsmåde.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/oversigt-over-geopard-api-anmodninger/88.-mutation-eksporter-zonesmap-som-zip-comprimeret-shapefil.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
